Bug 1181565 - Change xorg input stack to use libinput for the Workstation product
Summary: Change xorg input stack to use libinput for the Workstation product
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Pete Travis
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Keywords: Tracking
Depends On: kf5-kcm_touchpad 1184713 1199825
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 11:38 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-21 10:28:32 UTC
me: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-01-13 11:38:17 UTC
This is a tracking bug for Change: Change xorg input stack to use libinput for the Workstation product
For more details, see: https://fedoraproject.org//wiki/Changes/LibinputForXorg

Replace the current (low-level) input xorg drivers with libinput using the xorg-x11-drv-libinput wrapper. This is intended to eventually happen everywhere, but for now this change is limited to the Workstation product / the gnome-desktop.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:44 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Hans de Goede 2015-02-23 12:05:15 UTC
All necessary changes for this are in place, and the next F-22 compose should have xorg-x11-drv-libinput as part of the default Workstation installation, moving to MODIFIED.

Comment 3 Pete Travis 2015-03-08 07:19:23 UTC
I've written a bit about this change at https://fedoraproject.org/wiki/Documentation_Desktop_Beat - feedback or direct edits welcome.

Comment 4 Hans de Goede 2015-03-18 10:49:56 UTC
(In reply to Pete Travis from comment #3)
> I've written a bit about this change at
> https://fedoraproject.org/wiki/Documentation_Desktop_Beat - feedback or
> direct edits welcome.

Thanks, I've made some minor changes there, feel free to improve things further.

Comment 5 Jaroslav Reznik 2015-03-24 11:41:42 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 6 Hans de Goede 2015-03-24 15:06:08 UTC
Everything for this is in place, changing state to ON_QA.

Comment 7 Nathaniel McCallum 2015-03-25 15:18:37 UTC
I have upgraded to F22 from F21. I ensured that xorg-x11-drv-libinput was installed. However, it doesn't seem to respect the settings in the gnome-control-center. In "Mouse & Touchpad" none of the Touchpad settings seem to have any effect whatsoever on the touchpad behavior. If I remove xorg-x11-drv-libinput, these settings work again.

Comment 8 Hans de Goede 2015-03-26 10:07:16 UTC
Hi,

(In reply to Nathaniel McCallum from comment #7)
> I have upgraded to F22 from F21. I ensured that xorg-x11-drv-libinput was
> installed. However, it doesn't seem to respect the settings in the
> gnome-control-center. In "Mouse & Touchpad" none of the Touchpad settings
> seem to have any effect whatsoever on the touchpad behavior. If I remove
> xorg-x11-drv-libinput, these settings work again.

Can you please file a new bug for tracking this ? For now use xorg-x11-drv-libinput as component. Also when filing the bug please re-install xorg-x11-drv-libinput, restart X (so that you've the bug again) and then do: "xinput list", followed by "xinput list-props <id>" where <id> is the id printed for your touchpad by the first command. Then try changing a setting in the gnome touchpad settings and run "xinput list-props <id>" again. Please include the output of both "xinput list-props <id>" commands in the bug.

Thanks & Regards,

Hans

Comment 9 Oded Arbel 2015-04-04 16:26:27 UTC
According to https://fedoraproject.org/wiki/Changes/LibinputForXorg, the new lininput method should have a "disable when typing" feature for the touchpad, but this doesn't seem to work for me: when I type, if I accidentally (or not) touch the touchpad surface, the point keeps moving and I can also perform taps (that can throw the keyboard focus).

Here is xinput output:

$ xinput list
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ Logitech USB Receiver                   	id=11	[slave  pointer  (2)]
⎜   ↳ AlpsPS/2 ALPS DualPoint TouchPad        	id=15	[slave  pointer  (2)]
⎜   ↳ AlpsPS/2 ALPS DualPoint Stick           	id=16	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Video Bus                               	id=8	[slave  keyboard (3)]
    ↳ Power Button                            	id=9	[slave  keyboard (3)]
    ↳ Sleep Button                            	id=10	[slave  keyboard (3)]
    ↳ Logitech USB Receiver                   	id=12	[slave  keyboard (3)]
    ↳ Laptop_Integrated_Webcam_HD             	id=13	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=14	[slave  keyboard (3)]
    ↳ Dell WMI hotkeys                        	id=17	[slave  keyboard (3)]
$ xinput list-props 15
Device 'AlpsPS/2 ALPS DualPoint TouchPad':
	Device Enabled (139):	1
	Coordinate Transformation Matrix (141):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	libinput Tapping Enabled (277):	1
	libinput Accel Speed (271):	-0.513408
	libinput Natural Scrolling Enabled (272):	0
	libinput Send Events Modes Available (257):	1, 1
	libinput Send Events Mode Enabled (258):	0, 0
	libinput Left Handed Enabled (273):	0
	libinput Scroll Methods Available (274):	1, 1, 0
	libinput Scroll Method Enabled (275):	1, 0, 0
	Device Node (259):	"/dev/input/event8"
	Device Product ID (260):	2, 8

TIA

Comment 10 Hans de Goede 2015-04-05 08:23:12 UTC
(In reply to Oded Arbel from comment #9)
> According to https://fedoraproject.org/wiki/Changes/LibinputForXorg, the new
> lininput method should have a "disable when typing" feature for the
> touchpad, but this doesn't seem to work for me: when I type, if I
> accidentally (or not) touch the touchpad surface, the point keeps moving and
> I can also perform taps (that can throw the keyboard focus).

I'm afraid the blurb on the wiki about "disable when typing" is a bit of false advertising, we can easily support that with libinput without needing an external process, but atm we do not support it as we believe / hope that having proper palm detection is better. Clearly that is not working though.

Can you please file a new bug for tracking this against component libinput ?

I've updated the wiki to remove the false advertising.

Comment 11 Oded Arbel 2015-04-08 07:21:28 UTC
Reported bug #1209753, thanks.

Comment 12 yvan.masson 2015-05-09 09:42:15 UTC
(In reply to Hans de Goede from comment #8)
> Hi,
> 
> (In reply to Nathaniel McCallum from comment #7)
> > I have upgraded to F22 from F21. I ensured that xorg-x11-drv-libinput was
> > installed. However, it doesn't seem to respect the settings in the
> > gnome-control-center. In "Mouse & Touchpad" none of the Touchpad settings
> > seem to have any effect whatsoever on the touchpad behavior. If I remove
> > xorg-x11-drv-libinput, these settings work again.
> 
> Can you please file a new bug for tracking this ? For now use
> xorg-x11-drv-libinput as component. Also when filing the bug please
> re-install xorg-x11-drv-libinput, restart X (so that you've the bug again)
> and then do: "xinput list", followed by "xinput list-props <id>" where <id>
> is the id printed for your touchpad by the first command. Then try changing
> a setting in the gnome touchpad settings and run "xinput list-props <id>"
> again. Please include the output of both "xinput list-props <id>" commands
> in the bug.
> 
> Thanks & Regards,
> 
> Hans

Hi, I just hit the same bug and could not find a bug report about this, so I just reported it here: https://bugzilla.redhat.com/show_bug.cgi?id=1220024

Regards,
Yvan

Comment 13 Jan Pazdziora 2015-06-17 18:58:33 UTC
The biggest issue I've hit is lack of edge scrolling on ThinkPad T440s. Presumably is cannot be done, which is strange because it's been working with older drivers just fine.


Note You need to log in before you can comment on or make changes to this bug.